Bug 146507 - logwatch for http logs is too verbose on low/med detail
logwatch for http logs is too verbose on low/med detail
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: logwatch (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-28 17:27 EST by Sitsofe Wheeler
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-30 04:35:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sitsofe Wheeler 2005-01-28 17:27:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2) Gecko/20040804 Galeon/1.3.17

Description of problem:
Logwatch insists on reporting output for every single page that has had a hit in its output. This level of detail (at least for pages that return 200) should be saved for the high detail setting.

Version-Release number of selected component (if applicable):
logwatch-5.2.2-1

How reproducible:
Always

Steps to Reproduce:
1. Run a busy website and enable logwatch mail
2. Read log watch mail

Actual Results:  logwatch is packed with 100s of lines like:
GET /~x/photo/photo.php/xmas04?view=0&mode= HTTP/1.1 with response code(s) 2 200 responses
putting one of actually reading the log

Expected Results:  Perhaps only hits that generated a non 200 response to be listed on detail levels less than high. Maybe just a total summary by response code.

Additional info:
Comment 1 Ivana Varekova 2005-06-30 04:35:15 EDT
This bug is fixed in the last version (logwatch-6.1.2-2).

Note You need to log in before you can comment on or make changes to this bug.